## www2sms 0.1.2

=== Makefile ===
www2sms_gui.py : www2sms_gui.ui
	pyuic4 www2sms_gui.ui -o www2sms_gui.py

=== debian/changelog ===
www2sms (0.1.2) unstable; urgency=low

  * Added some more error checking

 -- Bjoern Olausson <maemo@olausson.de>  Fri, 23 Jan 2010 14:07:51 +0100

www2sms (0.1.1) unstable; urgency=low

  * Fixed desktop icon

 -- Bjoern Olausson <maemo@olausson.de>  Fri, 22 Jan 2010 17:03:12 +0100

www2sms (0.1.0) unstable; urgency=low

  * Initial release

 -- Bjoern Olausson <maemo@olausson.de>  Fri, 22 Jan 2010 12:10:48 +0100

=== debian/control ===
Source: www2sms
Section: user/utilities
Priority: extra
Maintainer: Bjoern Olausson <maemo@olausson.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: www2sms
Architecture: any
Depends: python (>= 2.5), python2.5-qt4-gui (>= 4.6.2-maemo20091218.0), python-mechanize (>= 0.1.11-1.1maemo1), pymaemo-optify, libsqlite3-0
Description: Send SMS via your providers Website
 www2sms lets you send SMS via your providers Website.
 Currently only "O2" is supported, but it's written modular,
 so it's easy to patch in new providers.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAANEgAADToB6N2Z3gAAAAd0
 SU1FB9oBFgo6MU6D748AAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAALdElEQVRo3u1Ze3BV5bX//fY+77xDwiO8RkhCU0AKFYooVbml
 tUAbaEVR6wtr27FY6dW2M/ZFtdfa653bVnpvxY5ayxStVUSrFduKQYUCxZKE
 og0EeQiGEEwI5HVe3+/+sfc+Z58kF2m91ykzrJkzs/e3v8f6re+31rfWd4Cz
 clbOyhktfC+D27qErYdlA7QXTGDi9Eca/G43QwDS00ciXZ7H9w+AJJADh3Ul
 VF3fghm725EYU6jLe5IIJg1EAEGbyAvKOtDJNZWlsGeOxKZggPtPd+73DKDp
 mDChjL6FDNc3c05XQgvjKXwU4LknE9kJ5fQasJT3jRAKwoSkhkgAmwvDWPvx
 SuuP/t5vtgvjSvneATS3i5WlFACsb9a5vUmt6OzjongakAC5ilqEAFJZlAAB
 ygeFLkB5Xx1YJBC0YIoj+k1BmD+YO54NAND8jlg5hPqHAGw+KMwa43ze0WJm
 7mrDA/EUJsdTgEUmSdkALQkCREc5SpKnJkgKUq4G3opuo8MYGglpIwTDASAa
 0M6JQ/mFKcO5BQD+9JZw/miePoCfbDG4daYFyRQ/8Tqe7ejFBWllrAzJ44Ny
 TJvTBDnKZXbAXcqD40NF0tkSOr2NwIBFFIXx0uKJ+CzJjjvrDL5zsXVqAKsb
 hPyQsKjGwqaD5oa/tfGhhHFUdi3FHH/zWOMB8iiedcjMDtBDCOW6h0ukjHM4
 L5Kc2cO2MLaY8/5lHJ9/tsngZIK4cnJW7RxI5TFwUY2F1Q1atusoHkoaz+qg
 5PDbz2f52DDYs99EYvZb5uefg76NcYORRSieBvZ16He/atSXF0ywMCwv1+gZ
 AL/YYXhpFfVIvW7qSWKlEVJ0FqBnOQ6in/o9MlevAe10J+qHNzPGP1YSLQIp
 g1RXAj9d06ib5oyjHtlhOCiFXmhW7cFOrEsbGBKW/Br6nY9+sgzSJxOFCEpZ
 jTNO4htIgA5dsm4C3xiHq5BobEvW+BIunDOOT+fswMqtsiUTaDmJdSkDkLAk
 +azh8lby7YScyd1gmrGeb49yxrv9BxBN2XdnvDxcXoSWYwtZKUMcOoF1kgL/
 vU12js3WNJqfdsbxZYvsx4pBApUT/+k6qePKHBCvKWMUCFmIFQGpONDdmYZl
 27mK5zrxgHXdaJF5NwYsjuJnV07mzZkdeKtTJfE0v+juML2fGxYoZNucduf0
 kZxvmdCa008IRS02vPQMf3xjLR+7+3YGIzaNMczM6e+P3PHeM/qtTQK9SVzd
 06doBsCuo5ieSCkQyaMs2wmWsUKXYxYQiQGRPCcJCwSBSD4gk0YwDETyiGAY
 kAwieUAg6FgwVkg0bduE3z98F5b+cB3Kx1Tjwa8tRkGphWi+M384RkBCOAaE
 Y05bKOK0xwqBYMg5I6L5zrujg5Q2Ktx0WLMzAOIpU2tHiF98cymOtx6WZHT3
 4hkyJo3jrYf10Deu0epvf0HRfEu7//yyVv3rEhWV2Xj1iQf1yDeXatPah1FQ
 aunnt1+tpm11CseoB792HfJLyrT0nqcUilBTLrlMbYeb1X0c+tHSj+veay7S
 mjtvVqTA0pP3fl2P3rVMKz49Wet//kM9+v1l+s78Gr32h7WSpP9atlD/cd0c
 rVp+mQAgKSJlWJsB0NZjJQMBYGTVVDZufIqdbS08sm8XD/x1C/bWv8KaWfN4
 7HAzkwlwz2sb2Lx9Ay0baNz4JC++6nbWv/g4giGwadvvufcvdUz0gSc7WjF2
 4gSWjhjFYBi8f/kneMU3VvGpHy3nxAvmc8UzG3nOuRcy3g0eavoLa87/JL/1
 5E5u+NW9/Nh1d/DWBzbzT0+tYsOGJ5hXVMbvrtvAGQtu4IljbzNgA0e7kcwA
 iAYVSPQC0+ZegTfrX8HOjWux4OZ7sHv7i9yz/UWce9FnUD19Lna9sh4dRw7g
 vHnXouGlLYCAD8z8INLJOBrrtmH2ZcvQeqAJDRuexOSLFmUCzfdqp+CSq25D
 1XkzsODmH+BvW1/AV2dVo3X/6wjHAGPSGPeh2Yh3G5SPrsSQigoIQDqVxKxF
 i5FOJbF8ZiV2vvw0CkqHwRggFkQoA2BkAY4lU0L56KGygyFsffYhzPncLdi7
 42W1t+xHYXkYH/nUjXj6vttRMnwsZsy/XmvuvBZT5iyGZUE1s+bj0X+7ERcu
 vkWRvAI8d/8dmDHvevR1Q/9+9VRcf/cTmHv9EoRjwK5Nz+GGe9biP1/djYOv
 b8OuV19CIBSGjAFIyZhMPm4Hgmje0ahLP78CK7c3IxSO6Y+/vEfhPKAkgsYM
 gKThmliQSCbAcybPUlHZSBWUQHlFQzDxggVIxYGhY4ZCMho/9SKNqp6E9iMH
 MW3uErS3ANPmXonOtkMaMqIUldMuUUHpMJVWhFH32E/Q3fmOnr7vNty58BI9
 8NUbVTpirFZ+cTZWf/dbMILGT71YgVBYXiYejhXIy53C0XzkFw/Fg1+v1cN3
 fFuH9zRg+ievZSAFGOAF96xy5JF609yb5HgpDZNKIRAKI5nokx0IkrRAEol4
 L4KhCAAoGe9hKJoHGcmyyL6eboSjeTLGMJ1KIBiOINHbrXQqSafKIkAiv7gA
 PSd60NF6ECPGfQAS0NfVhVDUCTGJ3i6GYwWQjBK93YwVFigZT7Ptrd0oH1Mt
 O2AzaunNaz5kjQcAetXW1kO6vP6Ifi1QhBPH3cOJck9Qr9yT5Jxivj7+9pxs
 tN9JmCkbvVQ7t4zMrOdb25nT6S9AnF7BK6ZV8PG97YI1oYz4w15ZHxnFxwvD
 fMYY0a+s95xR3j3FnOOdkEQvmeCAglb0yq/cAgaA8XKEnHzKn7QzJ++VlDZi
 SYS/nVbBxzfulzW+lAPzhMf+KtPeA9qWu4Avc2P2xHcrL6cIcQoc5iQEp6oH
 1K8eYP96wE1+PIqTQtoQQ2JKXzHJCgyaTntSOwHDiyKAcSwsOtR1rZJrSs+a
 p3eTkB3rMWiwb9n8yFtXShuiJApcPhEV/WfNAVC3T4gGefSqySosDKPeuPTw
 MkLPck655CaOyvqIm6/k9vOrqNyCxp+Ku230000C0gYsDGv7kknIJ62jmw7q
 1DVxR49QEnOaf9tkVh7pwrJkGrAtt2B38nfnyU255fKHLnOyNfG7F/WepV2f
 cn0WShsybAsjCrFyXpX1FQA40WdQGLFwSgp5yq/aLvtTE6xbaspQNTyfe22K
 jrp0KmBlSJtJ+/1hOXcH6Puh33POOwHKJjksH7tGFqJiXpX1lfv/7OT+/ZV/
 13uhPe8IVUOcblsO6eIDx7H8RFy1RoTxmxoZJ+4XLrO1EP318QAn9voRtgWc
 PwrnTxrGLc/tNqweQlUN+d/VDJwKgDfws78xmDmKdQDqJJWtb8aX2nt5acro
 gt6k48HGuQAY/OJGvsIrUzB6V1xZ5CSQNkBPUqMBbJlfben/9G50X4dwTknu
 kDeOalZ9KyblB3VTazcRDqAymYZJGcE5UgSLQMAigjYUT2lPaRQ9nXHM6UtB
 Fr0zJbtzxVGuWzKJi451C2XvcvEb+HsAnFNCvH3SoKLAwvbDhi1dsGuGcjOA
 zQAecBUoaumCXnubOHTCIc+IAmDGSGBoHgxpdbm3bdVNx7C1L6VigMZ3t8RE
 CrMAoLEVlnPk/T9dr/vlUKcwquj0plv3hrCwxun72E7zSkcfLyQcMkmQbYFT
 h2vCeSOxe5A4c+oo9I/K6SoPAAtriLc6HXovmWzNHlus+yxHeUMKSSPsP47b
 AAt72/X+APh7ZbQL+Nb1BvOqrFtrylEbtGGMIS3AnEzwMwAw/l2u2Il/Annt
 bfHDFdSh4xpRdwA7TiYwLBIAKksxffZYbv+n3AG/fLiCer7JYFQxWz43hcOH
 5+Pl7qTQ3qtPn1F/2NXtywac5/eYFasb1AYAb7QJZxqQAABs3K+Pvdluys/I
 v08bWrJWP+N24KyclfdR/gdFcu2BKDj4AAAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/www2sms.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/www2sms install
	mkdir -p "$(CURDIR)/debian/www2sms/opt/www2sms"
	mkdir -p "$(CURDIR)/debian/www2sms/usr/share/pixmaps"
	mkdir -p "$(CURDIR)/debian/www2sms/usr/share/applications/hildon"
	cp -a "www2sms.py" "$(CURDIR)/debian/www2sms/opt/www2sms/www2sms.py"
	cp -a "www2sms_providers.py" "$(CURDIR)/debian/www2sms/opt/www2sms/www2sms_providers.py"
	cp -a "www2sms_gui.py" "$(CURDIR)/debian/www2sms/opt/www2sms/www2sms_gui.py"
	cp -a "www2sms.desktop" "$(CURDIR)/debian/www2sms/usr/share/applications/hildon/www2sms.desktop"
	cp -a "www2sms.png" "$(CURDIR)/debian/www2sms/usr/share/pixmaps/www2sms.png"

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## www2sms 0.1.3

=== debian/changelog ===
www2sms (0.1.3) unstable; urgency=low

  * Fix some UI stuff
  * Added basic addressbook support (currently onle "Mobile" category is shown)
  * Added a new provider vodafone.nl
 -- Bjoern Olausson <maemo@olausson.de>  Sat, 20 Mar 2010 14:51:12 +0100

## www2sms 0.2.0

=== Makefile ===
www2sms_gui_main.py www2sms_gui_dialog_captcha.py www2sms_gui_widget_account.py www2sms_gui_widget_advanced.py www2sms_gui_dialog_progress.py: www2sms_gui_main.ui www2sms_gui_dialog_captcha.ui www2sms_gui_widget_account.ui www2sms_gui_widget_advanced.ui www2sms_gui_dialog_progress.ui
	pyuic4 www2sms_gui_main.ui -o www2sms_gui_main.py
	pyuic4 www2sms_gui_dialog_captcha.ui -o www2sms_gui_dialog_captcha.py
	pyuic4 www2sms_gui_widget_account.ui -o www2sms_gui_widget_account.py
	pyuic4 www2sms_gui_widget_advanced.ui -o www2sms_gui_widget_advanced.py
	pyuic4 www2sms_gui_dialog_progress.ui -o www2sms_gui_dialog_progress.py

## www2sms 1.0.4

=== Makefile ===
www2sms_gui_main.py www2sms_gui_dialog_captcha.py www2sms_gui_widget_account.py www2sms_gui_widget_advanced_o2online_de.py www2sms_gui_dialog_progress.py: www2sms_gui_main.ui www2sms_gui_dialog_captcha.ui www2sms_gui_widget_account.ui www2sms_gui_widget_advanced_o2online_de.ui www2sms_gui_dialog_progress.ui
	pyuic4 www2sms_gui_main.ui -o www2sms_gui_main.py
	pyuic4 www2sms_gui_dialog_captcha.ui -o www2sms_gui_dialog_captcha.py
	pyuic4 www2sms_gui_widget_account.ui -o www2sms_gui_widget_account.py
	pyuic4 www2sms_gui_widget_advanced_o2online_de.ui -o www2sms_gui_widget_advanced_o2online_de.py
	pyuic4 www2sms_gui_dialog_progress.ui -o www2sms_gui_dialog_progress.py

## www2sms 1.0.6

=== Makefile ===
www2sms_gui_widget_advanced_mutlusms_tu.py www2sms_gui_main.py www2sms_gui_dialog_captcha.py www2sms_gui_widget_account.py www2sms_gui_widget_advanced_o2online_de.py www2sms_gui_dialog_progress.py www2sms_gui_widget_advanced_exetel_au.py : www2sms_gui_widget_advanced_mutlusms_tu.ui www2sms_gui_main.ui www2sms_gui_dialog_captcha.ui www2sms_gui_widget_account.ui www2sms_gui_widget_advanced_o2online_de.ui www2sms_gui_dialog_progress.ui www2sms_gui_widget_advanced_exetel_au.ui
	pyuic4 www2sms_gui_widget_advanced_mutlusms_tu.ui -o www2sms_gui_widget_advanced_mutlusms_tu.py
	pyuic4 www2sms_gui_main.ui -o www2sms_gui_main.py
	pyuic4 www2sms_gui_dialog_captcha.ui -o www2sms_gui_dialog_captcha.py
	pyuic4 www2sms_gui_widget_account.ui -o www2sms_gui_widget_account.py
	pyuic4 www2sms_gui_widget_advanced_o2online_de.ui -o www2sms_gui_widget_advanced_o2online_de.py
	pyuic4 www2sms_gui_dialog_progress.ui -o www2sms_gui_dialog_progress.py
	pyuic4 www2sms_gui_widget_advanced_exetel_au.ui -o www2sms_gui_widget_advanced_exetel_au.py

## www2sms 1.1.4

=== Makefile ===
www2sms_gui_widget_advanced_telbo.py www2sms_gui_widget_advanced_voipbusterpro.py www2sms_gui_widget_advanced_mutlusms_tu.py www2sms_gui_main.py www2sms_gui_dialog_captcha.py www2sms_gui_widget_account.py www2sms_gui_widget_advanced_o2online_de.py www2sms_gui_dialog_progress.py www2sms_gui_widget_advanced_exetel_au.py : www2sms_gui_widget_advanced_telbo.ui www2sms_gui_widget_advanced_voipbusterpro.ui www2sms_gui_widget_advanced_mutlusms_tu.ui www2sms_gui_main.ui www2sms_gui_dialog_captcha.ui www2sms_gui_widget_account.ui www2sms_gui_widget_advanced_o2online_de.ui www2sms_gui_dialog_progress.ui www2sms_gui_widget_advanced_exetel_au.ui
	pyuic4 www2sms_gui_widget_advanced_mutlusms_tu.ui -o www2sms_gui_widget_advanced_mutlusms_tu.py
	pyuic4 www2sms_gui_main.ui -o www2sms_gui_main.py
	pyuic4 www2sms_gui_dialog_captcha.ui -o www2sms_gui_dialog_captcha.py
	pyuic4 www2sms_gui_widget_account.ui -o www2sms_gui_widget_account.py
	pyuic4 www2sms_gui_widget_advanced_o2online_de.ui -o www2sms_gui_widget_advanced_o2online_de.py
	pyuic4 www2sms_gui_dialog_progress.ui -o www2sms_gui_dialog_progress.py
	pyuic4 www2sms_gui_widget_advanced_exetel_au.ui -o www2sms_gui_widget_advanced_exetel_au.py
	pyuic4 www2sms_gui_widget_advanced_voipbusterpro.ui -o www2sms_gui_widget_advanced_voipbusterpro.py
	pyuic4 www2sms_gui_widget_advanced_telbo.ui -o www2sms_gui_widget_advanced_telbo.py
